@import "./base.css";

#app {
  width: 100%;
  max-width: 1920px;
  padding: 2rem;
  font-weight: normal;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: flex-start;
  align-items: flex-start;
}

a,
.green {
  text-decoration: none;
  color: hsla(160, 100%, 37%, 1);
  /*transition: 0.4s;*/
}

section.content {
  width: 100%;
}

#character-list {
  width: 100%;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-content: stretch;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: nowrap;

}

#character-list .list-header{
  background-color: rgba(229, 234, 244, 0.25);
  padding-top: 1rem;
  font-weight: 500;
  padding-bottom: 1rem;
}

#character-list > div {
  display: grid;
  font-weight: 400;
  grid-template-columns: repeat(7, 1fr);
  grid-gap: 2px;
  align-items: center;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  border-bottom: 1px solid #E5EAF4;
}

#character-list > div > .character-photo img{
  width: 43px;
  height: 68px;
  object-fit: cover;
}

ul.Pagination > li:nth-child(6){
  /*display:none;*/
}
ul.Pagination{
  flex-wrap: nowrap;
  gap: 0.5rem;
  align-content: center;
  justify-content: flex-start;
  margin-top: 2.5rem;
  margin-bottom: 3.8125rem;
}
ul.Pagination > li > button, .DotsHolder, .PaginationControl{
  width: 2.5rem;
  height: 2.5rem;
  box-sizing: border-box;
  border-radius: 0.25rem;
  border: 1px solid #A9B1BD;
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 150%;
  /* or 24px */
  color: #A9B1BD;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
}
ul.Pagination > li > button.Page-active{
  color:#ffffff;
  border-color:#11B0C8;
}
.clickable {
  cursor: pointer;
}
.flex {
  display: flex;
}
.favourite-button span.material-design-icon {
  height:24px;
}

.mobile {
  display:none;
}

@media (min-width: 1024px) {
  body {
    display: flex;
    justify-content: center;
  }
  #character-list > div {
    padding-left: 8.75rem;
  }
  ul.Pagination{
    margin-left: 8.75rem;
  }
  #app {
    display: flex;
    padding: 0 0;
  }
}
@media (max-width: 1024px) {
  #character-list{
    flex-wrap: wrap;
  }
}
@media (max-width: 767px) {
  #app{
    overflow-x: hidden;
    padding:1rem;
  }
  .mobile {
    display: inline;
  }
  #character-list > div{
    grid-template-columns: repeat(2, 1fr);
  }
  #character-list > div >div:last-child{
   position: relative;
   left: 80%;
  }
  #character-list .character-photo {
    grid-row-start: 1;
    grid-row-end: span 6;
    padding-bottom: 3rem;
  }
  #character-list > div > .character-photo img{
    width: 90%;
    height:auto;

  }
  #character-list > div {
    padding-top: 1.5rem;
    max-width: 90vw;
  }
  .custom-select .selected:after{
    right: 50%;
    left: 50%;
    bottom: 4px;
  }
  ul.Pagination {
    gap:unset;
  }
  .DotsHolder{
    display: none;
  }
  .not-mobile {
    display:none !important;
  }
}